Name: gawk
Version: 4.1.4
Release: 1
License: GPLv3
Summary: GNU AWK
Url: https://www.gnu.org/software/gawk

Source0: https://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.xz

BuildRequires: mpfr-devel
BuildRequires: gmp-devel
BuildRequires: readline-devel

%description
The awk utility interprets a special-purpose programming language that makes it possible to handle simple data-reformatting jobs with just a few lines of code. 

%prep
%setup -q

%build

perl -p -i -e 's|#! */bin/sh|#!/QOpenSys/usr/bin/sh|' awklib/eg/prog/igawk.sh

%configure \
  CPPFLAGS='-I%{_includedir}' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --disable-static \
  --disable-nls \
  --disable-rpath

%make_build

%install

%make_install

rm %{buildroot}/%{_bindir}/gawk-%{version}
rm %{buildroot}/%{_includedir}/gawkapi.h

%files
%defattr(-, qsys, *none)


%{_bindir}/gawk
%{_bindir}/awk
%{_bindir}/igawk

%{_infodir}/gawk.info
%{_infodir}/gawkinet.info

%{_mandir}/man1/gawk.1
%{_mandir}/man1/igawk.1
%{_mandir}/man3/filefuncs.3am
%{_mandir}/man3/fnmatch.3am
%{_mandir}/man3/fork.3am
%{_mandir}/man3/inplace.3am
%{_mandir}/man3/ordchr.3am
%{_mandir}/man3/readdir.3am
%{_mandir}/man3/readfile.3am
%{_mandir}/man3/revoutput.3am
%{_mandir}/man3/revtwoway.3am
%{_mandir}/man3/rwarray.3am
%{_mandir}/man3/time.3am

%{_datadir}/awk/passwd.awk
%{_datadir}/awk/group.awk
%{_datadir}/awk/assert.awk
%{_datadir}/awk/bits2str.awk
%{_datadir}/awk/cliff_rand.awk
%{_datadir}/awk/ctime.awk
%{_datadir}/awk/ftrans.awk
%{_datadir}/awk/getopt.awk
%{_datadir}/awk/gettime.awk
%{_datadir}/awk/inplace.awk
%{_datadir}/awk/join.awk
%{_datadir}/awk/libintl.awk
%{_datadir}/awk/noassign.awk
%{_datadir}/awk/ord.awk
%{_datadir}/awk/processarray.awk
%{_datadir}/awk/quicksort.awk
%{_datadir}/awk/readable.awk
%{_datadir}/awk/readfile.awk
%{_datadir}/awk/rewind.awk
%{_datadir}/awk/round.awk
%{_datadir}/awk/shellquote.awk
%{_datadir}/awk/strtonum.awk
%{_datadir}/awk/walkarray.awk
%{_datadir}/awk/zerofile.awk

%{_libexecdir}/awk/pwcat
%{_libexecdir}/awk/grcat

# %{_libdir}/gawk/filefuncs.a
# %{_libdir}/gawk/fnmatch.a
# %{_libdir}/gawk/fork.a
# %{_libdir}/gawk/inplace.a
# %{_libdir}/gawk/ordchr.a
# %{_libdir}/gawk/readdir.a
# %{_libdir}/gawk/readfile.a
# %{_libdir}/gawk/revoutput.a
# %{_libdir}/gawk/revtwoway.a
# %{_libdir}/gawk/rwarray.a
# %{_libdir}/gawk/testext.a
# %{_libdir}/gawk/time.a


%changelog
